Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang.instrument
Class IllegalClassFormatException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.instrument.IllegalClassFormatException

All Implemented Interfaces:
  Serializable

    public class IllegalClassFormatException

extends Exception

Thrown by an implementation of `ClassFileTransformer.transform` when its input parameters are invalid. This may occur either because the initial class file bytes were invalid or a previously applied transform corrupted the bytes.

Since:
  JDK1.5
See Also:
  `ClassFileTransformer.transform(java.lang.ClassLoader, java.lang.String, java.lang.Class, java.security.ProtectionDomain, byte[])`, Serialized Form

Constructor Summary
`IllegalClassFormatException()` Constructs an `IllegalClassFormatException` with no detail message.
`IllegalClassFormatException(String s)` Constructs an `IllegalClassFormatException` with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IllegalClassFormatException

    public IllegalClassFormatException()

  Constructs an `IllegalClassFormatException` with no detail message.

### IllegalClassFormatException

    public IllegalClassFormatException(String s)

  Constructs an `IllegalClassFormatException` with the specified detail message.

  Parameters:
    `s` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.